> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all bank accounts for a user ( STABLE )

> This API retrieves a list of all bank accounts associated with a business or person. The response includes details such as the account number, routing number, account holder's name, account type, and other relevant information.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/users/{uuid}/bank-accounts
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/users/{uuid}/bank-accounts:
    get:
      tags:
        - Bank Accounts
        - Stable
      summary: Get all bank accounts for a user ( STABLE )
      description: >-
        This API retrieves a list of all bank accounts associated with a
        business or person. The response includes details such as the account
        number, routing number, account holder's name, account type, and other
        relevant information.
      operationId: aa53b1626c4d40ac8b45bf1b58a7e9bb
      parameters:
        - name: uuid
          in: path
          description: UUID of the user
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/V2BankAccountResponse'
                    example:
                      - uuid: f7a809c8-1987-4627-b1ab-885550cbbb5a
                        user_uuid: f7a809c8-1987-4627-b1ab-885550cbbb5a
                        account_number: '12345678901234'
                        routing_number: '056008849'
                        account_name: Jack Jones
                        account_type: savings
                        aggregator_type: manual
                        created_at: '2023-10-16 16:19:42'
                        is_default: true
                      - uuid: 9abaa7dc-b31d-4fdf-b8a5-e62c8a582c9b
                        user_uuid: f7a809c8-1987-4627-b1ab-885550cbbb5a
                        account_number: '1111222233330000'
                        routing_number: '011401533'
                        account_name: Jack Jones
                        account_type: savings
                        aggregator_type: plaid
                        created_at: '2023-11-29 13:31:48'
                        is_default: false
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: User not found
                  data:
                    type: string
                    example: null
                  statusCode:
                    type: integer
                    example: 404
                  errorCode:
                    properties:
                      type:
                        type: string
                        example: client_error
                      subType:
                        type: string
                        example: uuid_not_found
                    type: object
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    V2BankAccountResponse:
      properties:
        uuid:
          type: string
          example: 12345678-1234-1234-1234-123456789012
        user_uuid:
          type: string
          example: 12345678-1234-1234-1234-123456789012
        account_number:
          type: string
          example: '12345678901234567'
        routing_number:
          type: string
          example: '123456789'
        account_name:
          type: string
          example: John Doe
        account_type:
          type: string
          example: checking
        aggregator_type:
          type: string
          example: manual
        created_at:
          type: string
          example: '2021-09-01 00:00:00'
        is_default:
          type: boolean
          example: true
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````